//
//  QGShuffleView.h
//  Quickgigs Immutation
//
//  Created by Matthew McCowan on 4/15/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import "QGFoundation.h"
#import "QGImageView.h"


@interface QGShuffleView : QGImageView
{
	// Instance
	CIImage  *selectionImage;
	CGRect    selectionCell;
	CGRect    selectionBounds;
	CGRect    imageCell;
}

// Initialization
- (void) initCells;

// Movement
- (int) count;
- (void) moveToFirst;
- (void) moveToPrevious;
- (void) moveToNext;
- (void) moveToLast;

@end
